<?php

# Assume that pmwiki.php exists in parent directory of StaticPages.php (eg in cookbook folder)
if (!isset($ScriptUrl)){
	$ApplicationPathUrl = dirname(dirname('http://'.$_SERVER['HTTP_HOST']. $_SERVER['SCRIPT_NAME']));
	$ApplicationPathDir = realpath(dirname(__FILE__) . "/../.");
	$ScriptUrl = $ApplicationPathUrl . "/pmwiki.php";
}else{
	$ApplicationPathUrl = dirname($ScriptUrl);
	$ApplicationPathDir = realpath(dirname(__FILE__) . "/../.");
}

if (!isset($StaticPageDir)) {$StaticPageDir = "web";}
if (!isset($WorkDir)){$WorkDir = 'wiki.d';}


if (defined('PmWiki')){
	
	global $pagename;
	
    include_once("StaticPagesFunctions.php");
	
	#Let Wiki links point to static pages
    if (isset($StaticPageDir)){
        $LinkFunctions['<:page>'] = 'LinkToPossibleStaticPage';
    }
   
    # When a wiki page is saved, update the static page.
    global $EditFunctions;
    array_push($EditFunctions, "UpdateStaticPage");
     
    
    if ($_REQUEST["createStaticPage"] == "1"){
		include("AdminAccessOnly.php");
        $_REQUEST["createStaticPage"] = "0";
        createStaticPage($_REQUEST['n']);
        exit;
    }
	
	if ($_REQUEST["removeStaticPage"] == "1"){
		include("AdminAccessOnly.php");
        $_REQUEST["removeStaticPage"] = "0";
        removeStaticPage($_REQUEST['n']);
        exit;
    }
    
}

function UpdateStaticPage($pagename,&$page,&$new){
	global $EnablePost;
	
	# Will get called when the edit page opens, and then again on an edit page action
	if ($EnablePost){
		createStaticPage($pagename);
	}
}

?>
